## org.eclipse.datatools.modelbase.sql.query.helper
Class StatementHelper.ValueExpressionComparator

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.query.helper.StatementHelper.ValueExpressionComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  StatementHelper

    public static class StatementHelper.ValueExpressionComparator

extends java.lang.Object
implements java.util.Comparator

Comparator for sorting ValueExpressionVariables.

Constructor Summary
`StatementHelper.ValueExpressionComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### StatementHelper.ValueExpressionComparator

    public StatementHelper.ValueExpressionComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.